Bug 1292713 - Errror on creating hostgroup: undefined method `content_facet' for #<Hostgroup:0x0000001036b338>
Errror on creating hostgroup: undefined method `content_facet' for #<Hostgrou...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity high (vote)
: Beta
: --
Assigned To: Justin Sherrill
Roman Plevka
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 02:25 EST by Sachin Ghai
Modified: 2016-07-27 05:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 05:21:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
UI raises error: undefined method `content_facet' for #<Hostgroup:0x007f713d5c3fb8> (53.54 KB, image/png)
2015-12-18 02:25 EST, Sachin Ghai
no flags Details
complete exception from production.log (21.89 KB, text/plain)
2015-12-18 02:27 EST, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12871 None None None 2016-04-22 12:44 EDT

  None (edit)
Description Sachin Ghai 2015-12-18 02:25:28 EST
Created attachment 1107024 [details]
UI raises error: undefined method `content_facet' for #<Hostgroup:0x007f713d5c3fb8>

Description of problem: I was trying to create a new hostgroup from webUI and as soon as I clicked on "New Host Group", following traceback appears in production.log


2015-12-18 02:21:14 [app] [I] 
 | 
 | Started GET "/hostgroups/new" for 10.65.193.200 at 2015-12-18 02:21:14 -0500
2015-12-18 02:21:14 [app] [I] Processing by HostgroupsController#new as HTML
2015-12-18 02:21:14 [app] [I] Deface: [WARNING] No :original defined for 'add_activation_keys_tab', you should change its definition to include:
 |  :original => 'aefc8e355300ccc5af0592fb2e7c1e5eb7a2ba6d' 
2015-12-18 02:21:14 [app] [I] Deface: [WARNING] No :original defined for 'add_activation_keys_tab_pane', you should change its definition to include:
 |  :original => 'ce4076956541552b74e2f8cbca1656e439822d95' 
2015-12-18 02:21:14 [app] [I] Deface: [WARNING] No :original defined for 'hostgroups_update_environments_select', you should change its definition to include:
 |  :original => 'e59a74ceb5a592f99dc58f1a691847290b5132d7' 
2015-12-18 02:21:14 [app] [I]   Rendered hostgroups/_form.html.erb (251.5ms)
2015-12-18 02:21:14 [app] [I]   Rendered hostgroups/new.html.erb within layouts/application (252.3ms)
2015-12-18 02:21:14 [app] [W] Action failed
 | NoMethodError: undefined method `content_facet' for #<Hostgroup:0x007f713d5c3fb8>
 | /opt/rh/ruby193/root/usr/share/gems/gems/activemodel-3.2.8/lib/active_model/attribute_methods.rb:407:in `method_missing'
 | /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods.rb:149:in `method_missing'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/helpers/katello/hosts_and_hostgroups_helper.rb:26:in `lifecycle_environment_options'
 | /usr/share/foreman/app/views/hostgroups/_form.html.erb:22:in `block (2 levels) in _5f705d0471771558a27c007b86e148f4'
 | /usr/share/foreman/app/helpers/layout_helper.rb:254:in `block (3 levels) in field'


Version-Release number of selected component (if applicable):
Nightly

foreman-1.11.0-0.develop.201512111432git98f6ca5.el6.noarch
foreman-release-1.11.0-0.develop.201512111432git98f6ca5.el6.noarch
katello-2.5.0-2.nightly.el6.noarch
katello-installer-2.5.0-1.nightly.201512140226git40b4975.el6.noarch
katello-repos-2.4.0-2.nightly.el6.noarch
pulp-katello-0.4-3.el6.noarch
katello-service-2.5.0-2.nightly.el6.noarch


How reproducible:
always

Steps to Reproduce:
1. create a new hostgroup
2.
3.

Actual results:
 | NoMethodError: undefined method `content_facet' for #<Hostgroup:0x007f713d5c3fb8>

Expected results:
Hostgroup form should be opened up to create new host group

Additional info:
Comment 1 Sachin Ghai 2015-12-18 02:27 EST
Created attachment 1107025 [details]
complete exception from production.log
Comment 3 Sachin Ghai 2015-12-18 04:30:58 EST
Created redmine issue http://projects.theforeman.org/issues/12871 from this bug
Comment 4 Bryan Kearney 2015-12-18 06:01:40 EST
Upstream bug component is Content Management
Comment 5 Bryan Kearney 2015-12-22 12:01:42 EST
Upstream bug assigned to jsherril@redhat.com
Comment 6 Bryan Kearney 2015-12-22 16:01:35 EST
Moving to POST since upstream bug http://projects.theforeman.org/issues/12871 has been closed
-------------
Justin Sherrill
Applied in changeset commit:katello|f934e5af82eb16472689ff4f2f09e5904165220a.
Comment 9 Roman Plevka 2016-04-07 11:39:39 EDT
VERIFIED
on 6.2.0 snap6.2

- apart some routing errors for spiiner.gif (already reported issue) there are no error messages during the whole process of HostGroup creation.



2016-04-07 17:37:01 [app] [I] Started GET "/hostgroups" for 10.34.130.123 at 2016-04-07 17:37:01 +0200
2016-04-07 17:37:01 [app] [I] Processing by HostgroupsController#index as HTML
2016-04-07 17:37:01 [app] [I]   Rendered hostgroups/welcome.html.erb within layouts/application (1.5ms)
2016-04-07 17:37:01 [app] [I]   Rendered layouts/_application_content.html.erb (0.4ms)
2016-04-07 17:37:01 [app] [I]   Rendered home/_submenu.html.erb (1.7ms)
2016-04-07 17:37:01 [app] [I]   Rendered home/_user_dropdown.html.erb (4.6ms)
2016-04-07 17:37:01 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms)
2016-04-07 17:37:01 [app] [I]   Rendered home/_topbar.html.erb (8.2ms)
2016-04-07 17:37:01 [app] [I]   Rendered layouts/base.html.erb (9.9ms)
2016-04-07 17:37:01 [app] [I] Filter chain halted as :welcome rendered or redirected
2016-04-07 17:37:01 [app] [I] Completed 200 OK in 40ms (Views: 13.0ms | ActiveRecord: 5.2ms)
2016-04-07 17:37:01 [app] [I] Started GET "/hostgroups" for 10.34.130.123 at 2016-04-07 17:37:01 +0200
2016-04-07 17:37:01 [app] [I] Processing by HostgroupsController#index as HTML
2016-04-07 17:37:01 [app] [I]   Rendered hostgroups/welcome.html.erb within layouts/application (1.3ms)
2016-04-07 17:37:01 [app] [I]   Rendered layouts/_application_content.html.erb (0.4ms)
2016-04-07 17:37:01 [app] [I]   Rendered home/_submenu.html.erb (1.6ms)
2016-04-07 17:37:01 [app] [I]   Rendered home/_user_dropdown.html.erb (1.9ms)
2016-04-07 17:37:01 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms)
2016-04-07 17:37:01 [app] [I]   Rendered home/_topbar.html.erb (5.2ms)
2016-04-07 17:37:01 [app] [I]   Rendered layouts/base.html.erb (6.5ms)
2016-04-07 17:37:01 [app] [I] Filter chain halted as :welcome rendered or redirected
2016-04-07 17:37:01 [app] [I] Completed 200 OK in 29ms (Views: 9.7ms | ActiveRecord: 3.2ms)
2016-04-07 17:37:03 [app] [I] Started GET "/hostgroups/new" for 10.34.130.123 at 2016-04-07 17:37:03 +0200
2016-04-07 17:37:03 [app] [I] Processing by HostgroupsController#new as HTML
2016-04-07 17:37:03 [app] [I]   Rendered common/os_selection/_architecture.html.erb (1.2ms)
2016-04-07 17:37:03 [app] [I]   Rendered common/os_selection/_operatingsystem.html.erb (1.9ms)
2016-04-07 17:37:03 [app] [I]   Rendered common/os_selection/_initial.html.erb (5.8ms)
2016-04-07 17:37:03 [app] [I]   Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
2016-04-07 17:37:03 [app] [I]   Rendered puppetclasses/_classes_parameters.html.erb (15.6ms)
2016-04-07 17:37:03 [app] [I]   Rendered common_parameters/_parameter.html.erb (3.3ms)
2016-04-07 17:37:03 [app] [I]   Rendered common_parameters/_parameters.html.erb (8.0ms)
2016-04-07 17:37:04 [app] [I]   Rendered taxonomies/_loc_org_tabs.html.erb (11.2ms)
2016-04-07 17:37:04 [app] [I]   Rendered hostgroups/_form.html.erb (110.5ms)
2016-04-07 17:37:04 [app] [I]   Rendered hostgroups/new.html.erb within layouts/application (111.2ms)
2016-04-07 17:37:04 [app] [I]   Rendered layouts/_application_content.html.erb (0.4ms)
2016-04-07 17:37:04 [app] [I]   Rendered home/_submenu.html.erb (1.5ms)
2016-04-07 17:37:04 [app] [I]   Rendered home/_user_dropdown.html.erb (1.9ms)
2016-04-07 17:37:04 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms)
2016-04-07 17:37:04 [app] [I]   Rendered home/_topbar.html.erb (5.2ms)
2016-04-07 17:37:04 [app] [I]   Rendered layouts/base.html.erb (6.6ms)
2016-04-07 17:37:04 [app] [I] Completed 200 OK in 143ms (Views: 108.7ms | ActiveRecord: 14.0ms)
2016-04-07 17:37:04 [app] [I] Started GET "/hostgroups/new" for 10.34.130.123 at 2016-04-07 17:37:04 +0200
2016-04-07 17:37:04 [app] [I] Processing by HostgroupsController#new as HTML
2016-04-07 17:37:04 [app] [I]   Rendered common/os_selection/_architecture.html.erb (1.3ms)
2016-04-07 17:37:04 [app] [I]   Rendered common/os_selection/_operatingsystem.html.erb (2.0ms)
2016-04-07 17:37:04 [app] [I]   Rendered common/os_selection/_initial.html.erb (6.0ms)
2016-04-07 17:37:04 [app] [I]   Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
2016-04-07 17:37:04 [app] [I]   Rendered puppetclasses/_classes_parameters.html.erb (15.5ms)
2016-04-07 17:37:04 [app] [I]   Rendered common_parameters/_parameter.html.erb (3.1ms)
2016-04-07 17:37:04 [app] [I]   Rendered common_parameters/_parameters.html.erb (7.0ms)
2016-04-07 17:37:04 [app] [I]   Rendered taxonomies/_loc_org_tabs.html.erb (71.9ms)
2016-04-07 17:37:04 [app] [I]   Rendered hostgroups/_form.html.erb (164.6ms)
2016-04-07 17:37:04 [app] [I]   Rendered hostgroups/new.html.erb within layouts/application (165.3ms)
2016-04-07 17:37:04 [app] [I]   Rendered layouts/_application_content.html.erb (0.4ms)
2016-04-07 17:37:04 [app] [I]   Rendered home/_submenu.html.erb (1.9ms)
2016-04-07 17:37:04 [app] [I]   Rendered home/_user_dropdown.html.erb (1.9ms)
2016-04-07 17:37:04 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms)
2016-04-07 17:37:04 [app] [I]   Rendered home/_topbar.html.erb (5.5ms)
2016-04-07 17:37:04 [app] [I]   Rendered layouts/base.html.erb (6.9ms)
2016-04-07 17:37:04 [app] [I] Completed 200 OK in 199ms (Views: 162.9ms | ActiveRecord: 14.9ms)
2016-04-07 17:37:04 [app] [I] Started GET "/assets/katello/hosts/host_and_hostgroup_edit-d03aa6bb77dbef517a1495ac02df0a9c61b0876ec0c74a637d3351cfd007b978.js" for 10.34.130.123 at 2016-04-07 17:37:04 +0200
2016-04-07 17:37:04 [app] [I] Started GET "/assets/foreman_openscap/openscap_proxy-3b847fe7ed27cdc7b6678b9fb3775af368520aa8615c6f83b5958e761dc3f857.js" for 10.34.130.123 at 2016-04-07 17:37:04 +0200
2016-04-07 17:37:04 [app] [I] Started GET "/assets/katello/hosts/activation_key_edit-7527f92d9bd555ee9a62b7084990fbdc9ea9249439f9083894e99dff82e12e15.js" for 10.34.130.123 at 2016-04-07 17:37:04 +0200
2016-04-07 17:37:13 [app] [I] Started GET "/assets/spinner.gif" for 10.34.130.123 at 2016-04-07 17:37:13 +0200
2016-04-07 17:37:13 [app] [F] 
 | ActionController::RoutingError (No route matches [GET] "/assets/spinner.gif"):
 |   actionpack (4.1.5) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
 |   actionpack (4.1.5) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
 |   railties (4.1.5) lib/rails/rack/logger.rb:38:in `call_app'
 |   railties (4.1.5) lib/rails/rack/logger.rb:22:in `call'
 |   actionpack (4.1.5) lib/action_dispatch/middleware/request_id.rb:21:in `call'
 |   rack (1.5.2) lib/rack/methodoverride.rb:21:in `call'
 |   rack (1.5.2) lib/rack/runtime.rb:17:in `call'
 |   activesupport (4.1.5) lib/active_support/cache/strategy/local_cache_middleware.rb:26:in `call'
 |   actionpack (4.1.5) lib/action_dispatch/middleware/static.rb:64:in `call'
 |   rack (1.5.2) lib/rack/sendfile.rb:112:in `call'
 |   railties (4.1.5) lib/rails/engine.rb:514:in `call'
 |   railties (4.1.5) lib/rails/application.rb:144:in `call'
 |   railties (4.1.5) lib/rails/railtie.rb:194:in `public_send'
 |   railties (4.1.5) lib/rails/railtie.rb:194:in `method_missing'
 |   rack (1.5.2) lib/rack/builder.rb:138:in `call'
 |   rack (1.5.2) lib/rack/urlmap.rb:65:in `block in call'
 |   rack (1.5.2) lib/rack/urlmap.rb:50:in `each'
 |   rack (1.5.2) lib/rack/urlmap.rb:50:in `call'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'
 |   logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'
 |   logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
 | 
 | 
2016-04-07 17:37:13 [app] [I] Started GET "/katello/api/v2/content_views/?environment_id=1&full_result=true" for 10.34.130.123 at 2016-04-07 17:37:13 +0200
2016-04-07 17:37:13 [app] [I] Processing by Katello::Api::V2::ContentViewsController#index as */*
2016-04-07 17:37:13 [app] [I]   Parameters: {"environment_id"=>"1", "full_result"=>"true", "api_version"=>"v2"}
2016-04-07 17:37:14 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.14/app/views/katello/api/v2/content_views/index.json.rabl within katello/api/v2/layouts/collection (114.9ms)
2016-04-07 17:37:14 [app] [I] Completed 200 OK in 135ms (Views: 93.2ms | ActiveRecord: 28.6ms)
2016-04-07 17:37:14 [app] [I] Started GET "/assets/spinner.gif" for 10.34.130.123 at 2016-04-07 17:37:14 +0200
2016-04-07 17:37:14 [app] [F] 
 | ActionController::RoutingError (No route matches [GET] "/assets/spinner.gif"):
 |   actionpack (4.1.5) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
 |   actionpack (4.1.5) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
 |   railties (4.1.5) lib/rails/rack/logger.rb:38:in `call_app'
 |   railties (4.1.5) lib/rails/rack/logger.rb:22:in `call'
 |   actionpack (4.1.5) lib/action_dispatch/middleware/request_id.rb:21:in `call'
 |   rack (1.5.2) lib/rack/methodoverride.rb:21:in `call'
 |   rack (1.5.2) lib/rack/runtime.rb:17:in `call'
 |   activesupport (4.1.5) lib/active_support/cache/strategy/local_cache_middleware.rb:26:in `call'
 |   actionpack (4.1.5) lib/action_dispatch/middleware/static.rb:64:in `call'
 |   rack (1.5.2) lib/rack/sendfile.rb:112:in `call'
 |   railties (4.1.5) lib/rails/engine.rb:514:in `call'
 |   railties (4.1.5) lib/rails/application.rb:144:in `call'
 |   railties (4.1.5) lib/rails/railtie.rb:194:in `public_send'
 |   railties (4.1.5) lib/rails/railtie.rb:194:in `method_missing'
 |   rack (1.5.2) lib/rack/builder.rb:138:in `call'
 |   rack (1.5.2) lib/rack/urlmap.rb:65:in `block in call'
 |   rack (1.5.2) lib/rack/urlmap.rb:50:in `each'
 |   rack (1.5.2) lib/rack/urlmap.rb:50:in `call'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
 |   /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'
 |   logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'
 |   logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
 | 
 | 
2016-04-07 17:37:15 [app] [I] Started GET "/hosts/puppet_environment_for_content_view?content_view_id=1&lifecycle_environment_id=1" for 10.34.130.123 at 2016-04-07 17:37:15 +0200
2016-04-07 17:37:15 [app] [I] Processing by HostsController#puppet_environment_for_content_view as */*
2016-04-07 17:37:15 [app] [I]   Parameters: {"content_view_id"=>"1", "lifecycle_environment_id"=>"1"}
2016-04-07 17:37:15 [app] [I] Completed 200 OK in 22ms (Views: 0.3ms | ActiveRecord: 4.8ms)
2016-04-07 17:37:15 [app] [I] Started GET "/katello/api/v2/environments/1/activation_keys?content_view_id=1" for 10.34.130.123 at 2016-04-07 17:37:15 +0200
2016-04-07 17:37:15 [app] [I] Processing by Katello::Api::V2::ActivationKeysController#index as */*
2016-04-07 17:37:15 [app] [I]   Parameters: {"content_view_id"=>"1", "api_version"=>"v2", "environment_id"=>"1"}
2016-04-07 17:37:15 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.14/app/views/katello/api/v2/activation_keys/index.json.rabl within katello/api/v2/layouts/collection (4.4ms)
2016-04-07 17:37:15 [app] [I] Completed 200 OK in 25ms (Views: 8.1ms | ActiveRecord: 2.7ms)
2016-04-07 17:37:19 [app] [I] Started POST "/hostgroups" for 10.34.130.123 at 2016-04-07 17:37:19 +0200
2016-04-07 17:37:19 [app] [I] Processing by HostgroupsController#create as */*
2016-04-07 17:37:19 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"KzoGRJ9o5IRJ6TZCTLIQVbGibbfQ7SCnzYLhugt4XCo=", "hostgroup"=>{"name"=>"my_host_group_1", "lifecycle_environment_id"=>"1", "content_view_id"=>"1", "environment_id"=>"", "content_source_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "openscap_proxy_id"=>"", "domain_id"=>"", "realm_id"=>"", "architecture_id"=>"", "root_pass"=>"[FILTERED]", "location_ids"=>[""], "organization_ids"=>["", "1"], "id"=>""}, "kt_activation_keys"=>""}
2016-04-07 17:37:20 [app] [I] Redirected to https://smqa-x3550m3-02-vm02.lab.eng.brq.redhat.com/hostgroups
2016-04-07 17:37:20 [app] [I] Completed 302 Found in 212ms (ActiveRecord: 30.6ms)
2016-04-07 17:37:20 [app] [I] Started GET "/hostgroups" for 10.34.130.123 at 2016-04-07 17:37:20 +0200
2016-04-07 17:37:20 [app] [I] Processing by HostgroupsController#index as */*
2016-04-07 17:37:20 [app] [I]   Rendered hostgroups/index.html.erb within layouts/application (38.9ms)
2016-04-07 17:37:20 [app] [I]   Rendered common/_searchbar.html.erb (9.1ms)
2016-04-07 17:37:20 [app] [I]   Rendered layouts/_application_content.html.erb (13.1ms)
2016-04-07 17:37:20 [app] [I]   Rendered home/_submenu.html.erb (1.7ms)
2016-04-07 17:37:20 [app] [I]   Rendered home/_user_dropdown.html.erb (2.0ms)
2016-04-07 17:37:20 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms)
2016-04-07 17:37:20 [app] [I]   Rendered home/_topbar.html.erb (6.1ms)
2016-04-07 17:37:20 [app] [I]   Rendered layouts/base.html.erb (8.6ms)
2016-04-07 17:37:20 [app] [I] Completed 200 OK in 104ms (Views: 62.8ms | ActiveRecord: 8.9ms)
Comment 11 errata-xmlrpc 2016-07-27 05:21:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501

Note You need to log in before you can comment on or make changes to this bug.